<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAmInventoryItemTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('am_inventoryitem', function (Blueprint $table) {
            $table->id();
            $table->string('Name');
            $table->string('Unit');
            $table->string('lifetime');
            $table->integer('Group1');
            $table->integer('Group2');
            $table->integer('Group3');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('am_InventoryItem');
    }
}
