<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAmPurchaseRequestCommentTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('am_purchase_request_comment', function (Blueprint $table) {
            $table->id();
            $table->foreignId('requestID');
            $table->foreign('requestID')->references('id')->on('am_PurchaseRequest')->onDelete('cascade');
            $table->unsignedInteger('userID');
            $table->foreign('userID')->references('id')->on('users')->onDelete('cascade');
            $table->string('comment');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('am_purchase_request_comment');
    }
}
