<?php

namespace Modules\Am\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Asset extends Model
{
    use HasFactory;

    protected $table = 'am_assets';

    protected $casts = [
        'MaintenanceApplicable' => 'boolean',
        'LicenseApplicable' => 'boolean',
        'ExpireApplicable' => 'boolean',
        'RemindApplicable' => 'boolean',
        'Status' => 'boolean',
    ];
}
