<?php

namespace Modules\Am\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\DB;
use Modules\Am\Entities\Asset;
use Modules\Am\Http\common\commonFeatures;

class DepreciationShedulecontroller extends Controller
{
    use commonFeatures;

    public function loadasset(){
        try {
                $Asset=Asset::all();

                $Asset_arr = [];
                for ($i = 0; $i < count($Asset); $i++) {
                    array_push($Asset_arr, ["img" => "", "id" => $Asset[$i]['id'], "value" => $Asset[$i]['Asset']]);
                }
                return $this->responseBody(true, "loadasset", "found",$Asset_arr );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loadasset", "error", $exception->getMessage());
        }
    }
    public function loadassetid(){
        try {
                $Asset=Asset::all();

                $Asset_arr = [];
                for ($i = 0; $i < count($Asset); $i++) {
                    array_push($Asset_arr, ["img" => "", "id" => $Asset[$i]['id'], "value" => $Asset[$i]['AssetNo']]);
                }
                return $this->responseBody(true, "loadasset", "found",$Asset_arr );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loadasset", "error", $exception->getMessage());
        }
    }
    public function getassetnametoid($id){
        try {
                $Asset=Asset::where('id',$id)->first('Asset');


                return $this->responseBody(true, "loadasset", "found",$Asset );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loadasset", "error", $exception->getMessage());
        }
    }
    public function getassetNotoid($id){
        try {
                $AssetNo=Asset::where('id',$id)->first('AssetNo');


                return $this->responseBody(true, "loadasset", "found",$AssetNo );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loadasset", "error", $exception->getMessage());
        }
    }
    public function loadassettoprint($id){
        try {
                // $Asset=Asset::where('id',$id);
                $Asset= DB::table('am_assets')
            ->join('am_inventoryitem', 'am_assets.Inventory', '=', 'am_inventoryitem.id')
            ->where('am_assets.id','=',$id)
            ->select('am_assets.*', 'am_inventoryitem.lifetime')
            ->first();
                return $this->responseBody(true, "loadassettoprint", "found",$Asset );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loadassettoprint", "error", $exception->getMessage());
        }
    }
}
