@extends('am::layouts.app')

@section('head')
    <!-- DataTable -->
    <link rel="stylesheet" href="{{ url('vendors/dataTable/datatables.min.css') }}" type="text/css">
    <!-- Prism -->
    <link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">
    <script type="text/javascript" src="https://unpkg.com/xlsx@0.15.1/dist/xlsx.full.min.js"></script>
    <meta name="csrf-token" content="{{ csrf_token() }}">

@endsection

@section('content')
    <div class="page-header">
        <div>
            <h3>User role</h3>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item">
                        <a href="#">Home</a>
                    </li>
                    <li class="breadcrumb-item">
                        <a href="#">User</a>
                    </li>
                    <li class="breadcrumb-item active" aria-current="page">User role</li>
                </ol>
            </nav>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">

            <div class="card">
                <div class="card-body">
                    <h4 class="card-title"></h4>
                    <p class="card-description">  </p>
                    <form class="forms-sample" id="dform">
                        <div class="form-group">
                            <label for="exampleInputName1">Role</label>
                            <input type="hidden" class="form-control" name="id" id="txtid" placeholder="Site Name">

                            <input type="text" class="form-control" name="name" id="txtName" placeholder="Role Name">
                            <input type="hidden" class="form-control" id="txtID" placeholder="hidden ID">
                        </div>
                        <button type="button" id="btnsave" class="btn btn-primary mr-2">Save</button>
                    </form>


                </div>
            </div>
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title">User Roles</h4>
                    <div class="table-responsive">
                        <table id="tbluserrole" class="table table-striped table-bordered dataTable dtr-inline collapsed" role="grid" aria-describedby="example1_info">
                            <thead>
                                <tr>
                                    <th class="thid"> #</th>
                                    <th class="thRole">Role</th>
                                    <th class="edit">  Edit</th>
                                    <th class="delete"> Delete</th>
                                </tr>
                            </thead>
                            <tbody></tbody>
                        </table>
                    </div>
                    <button id="btnexpt" type="button" class="btn btn-primary mr-2">Export</button>
                </div>
            </div>

        </div>
    </div>


@endsection

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
    <!-- DataTable -->
    <script src="{{ url('vendors/dataTable/datatables.min.js') }}"></script>
    <script src="{{ url('assets/js/examples/datatable.js') }}"></script>
    <script src="{{ url('vendors/dropzone/dropzone.js') }}"></script>
    <!-- Prism -->
    <script src="{{ url('vendors/prism/prism.js') }}"></script>

    <!-- my script  -->
    <script src="{{ Module::asset('am:js/userrole.js') }}?random=<?php echo uniqid(); ?>"></script>



@endsection
