<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAmInventoryGroup2Table extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('am_inventorygroup2', function (Blueprint $table) {
            $table->id();
            $table->string('Name');
            $table->foreignId('Group1ID');
            $table->foreign('Group1ID')->references('id')->on('am_InventoryGroup1')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('am_InventoryGroup2');
    }
}
