<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAmInventoryGroup3Table extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('am_inventorygroup3', function (Blueprint $table) {
            $table->id();
            $table->string('Name');
            $table->foreignId('Group2ID');
            $table->foreign('Group2ID')->references('id')->on('am_InventoryGroup2')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('am_InventoryGroup3');
    }
}
