<?php

namespace Modules\Am\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\DB;
use Modules\Am\Entities\Asset;
use Modules\Am\Http\common\commonFeatures;

class ActiveAssetListController extends Controller
{
    use commonFeatures;

    public function loadAssets($id){
        try {

            $Assets=Asset::where('Inventory',$id)
                            ->where('Status',true)
                            ->get();

            return $this->responseBody(true, "Assets", "found",$Assets );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "Assets", "error", $exception->getMessage());
        }
    }
   
}
