<?php

namespace Modules\Am\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\Am\Entities\Vendor;
use Modules\Am\Http\common\commonFeatures;

class VendorController extends Controller
{
    use commonFeatures;
    public function save(Request $request){
        try {
            $Vendor =new Vendor();
            $Vendor->name=$request->name;
            $save=$Vendor->save();

            if($save){
                return $this->responseBody(true, "Vendor", "save", "");
            }
            else{
            return $this->responseBody(false, "Vendor", "error", null);

            }


        }
         catch (Exception $exception) {
            return $this->responseBody(false, "Vendor", "error", $exception->getMessage());
        }
    }
    public function loadVendor(){
        try {
                $Vendor=Vendor::all();
                return $this->responseBody(true, "loadgVendor", "found",$Vendor );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loadVendor", "error", $exception->getMessage());
        }
    }
    public function deletevendor($id){
        try {
                $Vendor=Vendor::find($id)->delete();
                return $this->responseBody(true, "deleteVendor", "Deleted",null );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "deleteVendor", "error", $exception->getMessage());
        }
    }
    public function editvendor($id){
        try {
                $Vendor=Vendor::find($id)->first();
                return $this->responseBody(true, "editVendor", "found",$Vendor );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "editVendor", "error", $exception->getMessage());
        }
    }
    public function update(Request $request){
        try {
            $Vendor =Vendor::find($request->id);
            $Vendor->name=$request->name;
            $save=$Vendor->save();

            if($save){
                return $this->responseBody(true, "Vendor", "updated", "");
            }
            else{
            return $this->responseBody(false, "Vendor", "error", null);

            }


        }
         catch (Exception $exception) {
            return $this->responseBody(false, "group1", "error", $exception->getMessage());
        }
    }
   
}
