console.log('licenseApplicableList loading');

$(document).ready(function () {

    $('#btnPrint').on('click', function () {

        var fromdate=$('#dpfromdate').val();
        var todate=$('#dptodate').val();

        $.ajax({
            type: 'GET',
            url: '/am/licenseApplicableList/loadData/',
            data: {'fromdate':fromdate,'todate':todate},
            async: false,
            success: function(response){
                if (response.success) {
                    console.log(response)
                    makePage(response,'PRINT');

                }
            }, error: function(data){
                console.log('something went wrong');
            }
        });
    });
    $('#btnexport').on('click', function () {

        var fromdate=$('#dpfromdate').val();
        var todate=$('#dptodate').val();

        $.ajax({
            type: 'GET',
            url: '/am/licenseApplicableList/loadData/',
            data: {'fromdate':fromdate,'todate':todate},
            async: false,
            success: function(response){
                if (response.success) {
                    console.log(response)
                    makePage(response,'EXPORT');

                }
            }, error: function(data){
                console.log('something went wrong');
            }
        });
    });

});



function makePage(result,flag) {
    var Title = [
        { text: '\n' },
        { text: 'Asset Management System', alignment: 'center' },
    ];


    var Header = [
        {
            // logo: {
            //     path: 'assets/media/image/srilankan.png',
            //     width: 50,
            //     height: 30,
            //     alignment: 'left',
            // },
            content: [
                { text: 'License Applicable List', fontSize: 10, alignment: 'left' ,margin: [ 0, 0, 0, 10 ]},

            ]
        }
    ]


    var Body = [
        {
            table: {
                widths: [30,50,'*','*','*',20],
                headerRows: 1,
                body: reportBody(result),

            },
            margin: [0, 0],
        },
    ];



    var Footer = [
        {
            color: 'red',
            fontSize: 8,
            alignment: 'center',
            margin: [0, 0]
        }
    ];




    var page = new Page();
    page.setTitle(Title);
    page.setHeader(Header, Page.EVERY);
    page.setBody(Body);
    page.setFooter(Footer);
    if (flag == 'EXPORT') {
        page.export();
    } else if (flag == 'PRINT') {
        page.preview();
    }

}


function reportBody(result) {
    var body = [];
    body.push([
        { text: 'Asset  ID', fontSize: 6, bold: true, alignment: 'center', border: [true, true, true, true] },
        { text: 'Reference', fontSize: 6, bold: true, alignment: 'center', border: [true, true, true, true] },
        { text: 'Aseest  Name', fontSize: 6, bold: true, alignment: 'center', border: [true, true, true, true] },
        { text: 'Searial No', fontSize: 6, bold: true, alignment: 'center', border: [true, true, true, true] },
        { text: 'Due ON', fontSize: 6, bold: true, alignment: 'center', border: [true, true, true, true] },
        { text: 'days', fontSize: 6, bold: true, alignment: 'center', border: [true, true, true, true] }


    ]);

    var result=result.result;

    var today =new Date();;
    for(i=0 ; i<result.length ; i++){

        var duedate=new Date(result[i]['LicenseApplicableDate'])
        differance  = new Date(duedate - today),
        days  = differance/1000/60/60/24;
        console.log(Math.round(days));

        body.push([
            { text:  result[i]['AssetNo'], fontSize: 6, bold: true, alignment: 'center', border: [false, false, false, true] },
            { text:  result[i]['ReferanceNo'], fontSize: 6, bold: true, alignment: 'center', border: [false, false, false, true] },
            { text:  result[i]['Asset'], fontSize: 6, bold: true, alignment: 'center', border: [false, false, false, true] },
            { text:  result[i]['SerialNo'], fontSize: 6, bold: true, alignment: 'center', border: [false, false, false, true] },
            { text:  result[i]['LicenseApplicableDate'], fontSize: 6, bold: true, alignment: 'center', border: [false, false, false, true] },
            { text:  Math.round(days), fontSize: 6, bold: true, alignment: 'center', border: [false, false, false, true] }
        ]);
    }


    return body;
}
