console.log('printBarcodeLable.js')

$(document).ready(function () {



    var mytable =  $('#tblPrintbarcodeList').DataTable({
        responsive: true,
        "bPaginate": false,
        'columnDefs': [{
            "targets": [0, 1, 2, 3],
            "className": "text-center",
        }],
        "order": [],
        "columns": [
          { "data": "thname" },
          { "data": "thdate" },
          { "data": "threferance" },
          { "data": "thSelect" },

        ],
    });

    $("#txtassetno").on('change keyup paste', function() {


    });

    $('#btnAdd').on( 'click', function () {
        if(!$('#hiddenassetid').val()==""){
            var data = [];
            var id = $('#hiddenassetid').val();

            $.ajax({
                type: "GET",
                url: "/am/printBarcode/loadBarcodetoPrint/"+id,
                processData: false,
                contentType: false,
                cache: false,
                timeout: 800000,
                beforeSend: function () {

                },
                success: function (response) {
                    console.log(response);
                    if(response.success){
                        data.push({
                            "thdate": response.result.PurchaseDate,
                            "thname":response.result.Asset,
                            "threferance":response.result.ReferanceNo,
                            "thSelect":'<input type="checkbox" id="'+response.result.id+'">'
                         });
                         var table = $('#tblPrintbarcodeList').DataTable();
                        table.rows.add(data).draw();
                    }
                    toastr.success('Added to the table');

                },
                error: function (error) {
                    console.log(error);

                },
                complete: function () {

                }

            });
        }
        else{
            toastr.warning('Please Select An Asset');
        }




    } );

    $('#btnPrint').on('click', function () {

        var oTable = $("#tblPrintbarcodeList").DataTable();
        var table3 = oTable.table("#tblPrintbarcodeList");
        var arr = [];

        table3.rows().every(function (index, element) {
            /* intention: gather records "checked" in
                first column to feed into array for later use */

            var data = this.data(); /* this shows correct row data,
                        but not whether first column checkbox is checked by user */
            var node = this.node();

            var referance=data.threferance;
            var name=data.thname;
            var PurchaseDate=data.thdate;

            if(node.cells[3].childNodes[0].checked){

                arr.push({
                    "date": PurchaseDate,
                    "name":name,
                    "referance":referance,
                 });
            }

            /* this shows in console.log as: [object HTMLTableCellElement] */

            // if this row is checked, then act on it -- otherwise next loop

            // To be defined later
        });

        console.log(arr);
        print(arr);
    });

    loadasset();
    loadassetid();
    loadBarcodestoPrint();
});

function  autoCompleteSelectedOption(input,data){
    loadMatchingIdName(input,data);

    $('#hiddenassetid').val(data.id);
    // $("#barcode").JsBarcode(data.id);

}

function loadMatchingIdName(input,data){

    if(input.id=='txtassetname'){

        $.ajax({
            type: 'GET',
            url: '/am/depreciationShedule/getassetNotoid/' + data.id,
            success: function (response) {
                $('#txtassetno').val(response.result.AssetNo);
            }, error: function (data) {
                console.log('Something went wrong!');
            }
        })

    }
    else if(input.id=='txtassetno'){

        $.ajax({
            type: 'GET',
            url: '/am/depreciationShedule/getassetnametoid/' + data.id,
            success: function (response) {
                console.log(response.result.Asset);

                $('#txtassetname').val(response.result.Asset);

            }, error: function (data) {
                console.log('Something went wrong!');
            }
        })

    }


}

function loadassetid(){
    $.ajax({
        type: "GET",
        url: "/am/depreciationShedule/loadassetid",
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            $('#txtassetno').setData(response.result);
        },
        error: function (error) {
            console.log(error);

        },
        complete: function () {

        }

    });
}

function loadasset(){
    $.ajax({
        type: "GET",
        url: "/am/depreciationShedule/loadasset",
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            $('#txtassetname').setData(response.result);
        },
        error: function (error) {
            console.log(error);

        },
        complete: function () {

        }

    });
}

function loadBarcodestoPrint(){
    $.ajax({
        type: "GET",
        url: "/am/printBarcode/loadBarcodestoPrint",
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.success) {

                var data = [];
                for (i = 0; i < response.result.length; i++) {
                    var name  = response.result[i]['Asset'];
                    var referance  = response.result[i]['ReferanceNo'];
                    var PurchaseDate  = response.result[i]['PurchaseDate'];


                    data.push({
                        "thdate": PurchaseDate,
                        "thname":name,
                        "threferance":referance,
                        "thSelect":'<input type="checkbox">'
                     });
                }

                var table = $('#tblPrintbarcodeList').DataTable();
                table.clear();
                table.rows.add(data).draw();
            }
            // $('#txtassetno').setData(response.result);
        },
        error: function (error) {
            console.log(error);

        },
        complete: function () {

        }

    });
}

function selectAll(){
    if($('#selectall').prop("checked")) {
        $("input[type=checkbox]").prop('checked', true);
    } else {
        $("input[type=checkbox]").prop('checked', false);

    }
}


//print section bigins
function print(arr) {


    var headerFontSize = 8;

    var Title = [
        { text: 'QR codes' }
    ];

    // var Header = [
    //     {
    //         content: [

    //             {
    //                 table: {
    //                     widths: ['*','*'],
    //                     headerRows: 1,
    //                     body: [
    //                         [{   qr: '1234',alignment: 'center' , border: [false, false, false, false] },{ qr: '1234',alignment: 'center'  ,border: [false, false, false, false]}],
    //                         [{ text: 'Assest Name   ', fontSize: 10, bold: true, alignment: 'center', border: [false, false, false, false] },{ text: 'AssestName' ,border: [false, false, false, false], alignment: 'center'}],
    //                         // [{ text: 'Purchase Date ', fontSize: 10, bold: true, alignment: 'left', border: [false, false, false, false] },{ text: PurchaseDate ,border: [false, false, false, false], alignment: 'left'}],
    //                         // [{ text: 'Value', fontSize: 10, bold: true, alignment: 'left', border: [false, false, false, false] },{ text: Value ,border: [false, false, false, false], alignment: 'left'}],
    //                         // [{ text: 'Salvage Value', fontSize: 10, bold: true, alignment: 'left', border: [false, false, false, false] },{ text: SalvageValue ,border: [false, false, false, false], alignment: 'left'}],
    //                         // [{ text: 'Life Time ( Years)', fontSize: 10, bold: true, alignment: 'left', border: [false, false, false, false] },{ text: lifetime ,border: [false, false, false, false], alignment: 'left'}],



    //                     ],

    //                 },
    //                 margin: [0, 0],
    //             },

    //         ]
    //     }
    // ];

    var Body = [
        {
            layout:'noBorders',
            table: {
                widths: ['*','*','*','*','*','*'],
                headerRows: 1,
                body: reportBody(arr),

            },
            margin: [0, 0],
        },
    ];

    var Footer = [
        {
            color: 'red',
            fontSize: 8,
            alignment: 'center',
            margin: [0, 0]
        }
    ];

    var page = new Page();
    page.setPageSize('A4');
    page.setPageOrientation('portrait');
    page.setPageMargin([10, 10, 10, 10]);
    page.setTitle(Title);
    // page.setHeader(Header, Page.EVERY);
    page.setBody(Body);
    page.setFooter(Footer);
    page.preview();
}


function reportBody(arr) {

    var body = [];


    var i =0;
    while (i<arr.length){
        console.log(arr[i]['referance'])
        if(!arr[i+1]){
            body.push(


                [
                    {   qr: arr[i]['referance'],fit: '50', alignment: 'center',margin: [ 0, 0, 0, 20 ] },
                    [
                        { text: arr[i]['referance'], fontSize: 16, bold: true, alignment: 'left' },
                        { text: arr[i]['name'], fontSize: 12, bold: true, alignment: 'left' },
                        { text: arr[i]['date'], fontSize: 12, bold: true, alignment: 'left'}
                    ],

                    {   text: '', fontSize: 16, bold: true, alignment: 'left',margin: [ 0, 0, 0, 20 ]  },
                    [
                        { text: '', fontSize: 16, bold: true, alignment: 'left'},
                        { text: '', fontSize: 12, bold: true, alignment: 'left'},
                        { text: '', fontSize: 12, bold: true, alignment: 'left'}
                    ],

                    {   text: '', fontSize: 16, bold: true, alignment: 'left',margin: [ 0, 0, 0, 20 ]  },
                    [
                        { text: '', fontSize: 16, bold: true, alignment: 'left'},
                        { text: '', fontSize: 12, bold: true, alignment: 'left'},
                        { text: '', fontSize: 12, bold: true, alignment: 'left'}
                    ],

                ],

            );
        }
        else if(!arr[i+2]){
            body.push(

                [
                    {   qr: arr[i]['referance'],fit: '50', alignment: 'center',margin: [ 0, 0, 0, 20 ] },
                    [
                        { text: arr[i]['referance'], fontSize: 16, bold: true, alignment: 'left' },
                        { text: arr[i]['name'], fontSize: 12, bold: true, alignment: 'left' },
                        { text: arr[i]['date'], fontSize: 12, bold: true, alignment: 'left'}
                    ],

                    {   qr: arr[i+1]['referance'],fit: '50', alignment: 'center',margin: [ 0, 0, 0, 20 ]  },
                    [
                        { text: arr[i+1]['referance'], fontSize: 16, bold: true, alignment: 'left'},
                        { text: arr[i+1]['name'], fontSize: 12, bold: true, alignment: 'left'},
                        { text: arr[i+1]['date'], fontSize: 12, bold: true, alignment: 'left'}
                    ],

                    {   text: '', fontSize: 16, bold: true, alignment: 'left',margin: [ 0, 0, 0, 20 ]  },
                    [
                        { text: '', fontSize: 16, bold: true, alignment: 'left'},
                        { text: '', fontSize: 12, bold: true, alignment: 'left'},
                        { text: '', fontSize: 12, bold: true, alignment: 'left'}
                    ],

                ],

            );
        }
        else{
            body.push(

                [
                    {   qr: arr[i]['referance'],fit: '50', alignment: 'center',margin: [ 0, 0, 0, 20 ] },
                    [
                        { text: arr[i]['referance'], fontSize: 16, bold: true, alignment: 'left' },
                        { text: arr[i]['name'], fontSize: 12, bold: true, alignment: 'left' },
                        { text: arr[i]['date'], fontSize: 12, bold: true, alignment: 'left'}
                    ],

                    {   qr: arr[i+1]['referance'],fit: '50', alignment: 'center',margin: [ 0, 0, 0, 20 ]  },
                    [
                        { text: arr[i+1]['referance'], fontSize: 16, bold: true, alignment: 'left'},
                        { text: arr[i+1]['name'], fontSize: 12, bold: true, alignment: 'left'},
                        { text: arr[i+1]['date'], fontSize: 12, bold: true, alignment: 'left'}
                    ],

                    {   qr: arr[i+1]['referance'],fit: '50', alignment: 'center' ,margin: [ 0, 0, 0, 20 ] },
                    [
                        { text: arr[i+2]['referance'], fontSize: 16, bold: true, alignment: 'left'},
                        { text: arr[i+2]['name'], fontSize: 12, bold: true, alignment: 'left'},
                        { text: arr[i+2]['date'], fontSize: 12, bold: true, alignment: 'left'}
                    ],

                ],

            );
        }

        i=i+3
    }

    return body;
}
