console.log('registerNewAssest.js');

Dropzone.autoDiscover = false;

var invntoryid;
var assetAttachment_id_arr=[];
$(document).ready(function () {

    $('#assetnorow').hide();

    $('#myTable').DataTable({
        responsive: true,
        "order": [],
        "columns": [
            { "data": "thTitle" },
            { "data": "thView" },
            { "data": "thDownload" },
            { "data": "thDelete" },
        ],
    });

    $('#btnsave').on('click', function () {

        var form = $('#assetRegisterrForm').get(0);
        var data = new FormData(form);

        for (let i = 0; i < assetAttachment_id_arr.length; i++) {
            data.append('attachment_arr[]',assetAttachment_id_arr[i])
        }

        if($('#btnsave').text().trim()=='Save'){
            save(data);
        }
        else {
            update(data);
        }

    });



    loadvendor();
    loadinventoryItem();
    loadasset();
    dropzonefunction();
    loadAllLocation_Combo();
    loadAllEmployees_Combo();
    loadRequests();

    $('#cmbSite').on('change', function () {
        loadAllBuilding_Combo($(this).val());
    });

    $('#cmbBuilding').on('change', function () {
        loadAllFloor_Combo($(this).val());
    });

    $('#cmbFloor').on('change', function () {
        loadAllUnit_Combo($(this).val());
        loadAllRoom_Combo($(this).val());
    });




});


function openModal() {
    $('#attachmentAddModal').modal('toggle');
    $('#asset_id').val(6);
}

function dropzonefunction(){

    var attachform = $('#myAwesomeDropzone').get(0);
    var attachdata = new FormData(attachform);

    var myDropzone = new Dropzone("#myAwesomeDropzone", {
        url: "/am/registerNewAssest/attachment/upload",
        data:attachdata,
        maxFilesize: 5, // MB
            maxFiles: 20,
            addRemoveLinks: true,
        autoProcessQueue:true,
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },

    });

    myDropzone.on("success", function(file,resp){
        console.log(resp.data.success)

        if(resp.data.success){

            // console.log(resp.data);
            assetAttachment_id_arr.push(resp.data.result);
            console.log(assetAttachment_id_arr);
            loadattachment()
        }
        else {
            console.log(resp.data)
        }
    });
}

function loadinventoryItem() {
    $.ajax({
        type: "GET",
        url: "/am/registerNewAssest/loadinventoryItem",
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            // console.log(response);
            $('#txtinventory').setData(response.data.result);
        },
        error: function (error) {
            console.log(error);

        },
        complete: function () {

        }

    });
}

function save(data) {

    $.ajax({
        type: "POST",
        url: "/am/registerNewAssest/save",
        data: data,
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.success) {
                toastr.success('data saved');
                reset();
            }
        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });

}

function update(data) {

    $.ajax({
        type: "POST",
        url: "/am/registerNewAssest/update",
        data: data,
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {
            invntoryid = $('#hiddentxtinventory').val();

        },
        success: function (response) {
            console.log(response);
            if (response.success) {
                toastr.success('data updated');
                reset();

                location.href = "/am/activeAssetList?" + invntoryid + "&view";

            }
        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });

}

function loadasset() {

    if (window.location.search.length > 0) {
        var sPageURL = window.location.search.substring(1);
        var param = sPageURL.split('&');
        var id = param[0];

        if (param.length == 2) {
            console.log('view')
            $('#btnsave').hide();
            $('#assetnorow').show();
            setassetdata(id);
        } else {
            console.log('Edit')
            $('#btnsave').text('Update');
            $('#assetnorow').show();
            setassetdata(id);


        }

    }


}
function setassetdata(id){
    $.ajax({
        type: "GET",
        url: "/am/registerNewAssest/loadasset/" + id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            if (response.success) {
                console.log(response.result);

                var data = response.result;
                $('#txthiddenassetID').val(data.id);
                $('#txtassetNo').val(data.AssetNo);
                $('#txtReferanceNo').val(data.ReferanceNo);
                $('#txtsalvagevalue').val(data.Salvage_value);
                $('#txtname').val(data.Asset);
                $('#txtbrand').val(data.Brand);
                $('#txtmodel').val(data.Model);
                getinventrynametoid(data.Inventory);
                $('#hiddentxtinventory').val(data.Inventory);
                $('#txtDescription').val(data.Description);
                $('#txtValue').val(data.Value);
                $('#txtSerialNo').val(data.SerialNo);
                $('#txtVendor').val(data.Vendor);
                $('#textRemind').val(data.RemindText);
                $('#txtInstruction').val(data.Instruction);
                $('#dpPuchaseDate').val(data.PurchaseDate);
                $('#txtdateMaintenance').val(data.MaintenanceApplicableDate);
                $('#txtdateLicense').val(data.LicenseApplicableDate);
                $('#txtdateExpire').val(data.ExpireDate);
                $('#txtdateRemind').val(data.RemindDate);


                if (data.MaintenanceApplicable) {
                    $('#chxMaintenance').prop('checked', true);
                }
                if (data.LicenseApplicable) {
                    $('#chxLicenese').prop('checked', true);
                }
                if (data.ExpireApplicable) {
                    $('#chxExpire').prop('checked', true);
                }
                if (data.RemindApplicable) {
                    $('#chxRemind').prop('checked', true);
                }

            }

        },
        error: function (error) {
            console.log(error);

        },
        complete: function () {

        }

    });
}

function getinventrynametoid(id){
    $.ajax({
        type: "GET",
        url: "/am/registerNewAssest/getinventrynametoid/" + id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            // console.log(response.data.result.Name);
            var name = response.data.result.Name

            $('#txtinventory').val(name);

        },
        error: function (error) {
            console.log(error);


        },
        complete: function () {

        }

    });
}

function loadattachment() {


    $.ajax({
        type: "GET",
        url: "/am/registerNewAssest/loadattachment",
        data:{'attachment_arr':assetAttachment_id_arr},
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response.data);
            if(response.data.success){
                var data = [];
                for (i = 0; i < response.data.result.length; i++) {
                    var path  = response.data.result[i]['path'];
                    var id  = response.data.result[i]['id'];

                    var file = "'" + path + "'";
                    console.log(file)
                    data.push({
                        "thTitle": path,
                        "thView": '<button class="btn btn-success" type="button" onclick="viewAttachment(' + file + ')"><i class="fa fa-eye" aria-hidden="true"></i></button>',
                        "thDownload": '<button type="button" class="btn btn-primary" onclick="downloadAttachment(' + file + ')"><i class="fa fa-download" aria-hidden="true"></i></button>',
                        "thDelete": '<button  type="button" class="btn btn-danger" onclick="attachmentDelete(' + id + ')"><i class="fa fa-trash" aria-hidden="true"></i></button>',
                     });
                }

                var table = $('#myTable').DataTable();
                table.clear();
                table.rows.add(data).draw();
            }

        },
        error: function (error) {
            console.log(error);


        },
        complete: function () {

        }

    });
}

// This function is override from autoCompleteSelectedOption.min.js
function autoCompleteSelectedOption(input, data) {
    // console.log(data.id);
    $('#hiddentxtinventory').val(data.id);

}

function viewAttachment(file) {
    window.open('/AssetAttachments/' + file);

}


function downloadAttachment(file) {

    var link = document.createElement("a");
    link.download = file;
    link.href = "/AssetAttachments/" + file;
    document.body.appendChild(link);
    link.click();
    document.body.removeChild(link);
    delete link;

}

function attachmentDelete(attachment_id) {

    $.ajax({
        type: "GET",
        url: "/am/registerNewAssest/attachmentDelete/" + attachment_id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
        console.log(response);
        if (response.success) {

            assetAttachment_id_arr = assetAttachment_id_arr.filter(item => item !== attachment_id);
            console.log(assetAttachment_id_arr);

            loadattachment();
        }

        },
        error: function (error) {
        console.log(error);

        },
        complete: function () {

        }
    });
}
function reset(){

    $('#txtassetNo').val('');
    $('#txtReferanceNo').val('');
    $('#txtname').val('');
    $('#txtbrand').val('');
    $('#txtmodel').val('');
    $('#txtinventory').val('');
    $('#hiddentxtinventory').val('');
    $('#txtDescription').val('');
    $('#txtValue').val('');
    $('#txtSerialNo').val('');
    $('#txtVendor').val('');
    $('#chxMaintenance').prop('checked', false);
    $('#chxLicenese').prop('checked', false);
    $('#chxExpire').prop('checked', false);
    $('#chxRemind').prop('checked', false);
    $('#textRemind').val('');
    $('#txtInstruction').val('');

}



function loadAllLocation_Combo() {
    $.ajax({
        type: "GET",
        url: '/am/registerNewAssest/allLocation',
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);


            $('#cmbSite').empty();
            for (var i = 0; i < response.result.sites.length; i++) {
                $('#cmbSite').append('<option value="' + response.result.sites[i].id + '">' + response.result.sites[i].Site + '</option>');
            }


            $('#cmbBuilding').empty();
            for (var i = 0; i < response.result.buildings.length; i++) {
                $('#cmbBuilding').append('<option value="' + response.result.buildings[i].id + '">' + response.result.buildings[i].Building + '</option>');
            }


            $('#cmbFloor').empty();
            for (var i = 0; i < response.result.floors.length; i++) {
                $('#cmbFloor').append('<option value="' + response.result.floors[i].id + '">' + response.result.floors[i].Floor + '</option>');
            }

            $('#cmbUnit').empty();
            for (var i = 0; i < response.result.units.length; i++) {
                $('#cmbUnit').append('<option value="' + response.result.units[i].id + '">' + response.result.units[i].Unit + '</option>');
            }

            $('#cmbRoom').empty();
            for (var i = 0; i < response.result.rooms.length; i++) {
                $('#cmbRoom').append('<option value="' + response.result.rooms[i].id + '">' + response.result.rooms[i].Room + '</option>');
            }



        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });

}



function loadAllEmployees_Combo() {
    $.ajax({
        type: "GET",
        url: '/am/registerNewAssest/allEmployee',
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);

            $('#cmbEmployee').empty();
            for (var i = 0; i < response.result.length; i++) {
                $('#cmbEmployee').append('<option value="' + response.result[i].id + '">' + response.result[i].Name + '</option>');
            }


        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });

}


function loadAllBuilding_Combo(site) {
    $.ajax({
        type: "GET",
        url: '/am/registerNewAssest/allBuilding/' + site,
        processData: false,
        contentType: false,
        cache: false,
        async: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            $('#cmbBuilding').empty();
            for (var i = 0; i < response.result.length; i++) {
                $('#cmbBuilding').append('<option value="' + response.result[i].id + '">' + response.result[i].Building + '</option>');
            }

            $('#cmbBuilding').trigger('change');

        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });

}




function loadAllFloor_Combo(building) {
    $.ajax({
        type: "GET",
        url: '/am/registerNewAssest/allFloor/' + building,
        processData: false,
        contentType: false,
        cache: false,
        async: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            $('#cmbFloor').empty();
            for (var i = 0; i < response.result.length; i++) {
                $('#cmbFloor').append('<option value="' + response.result[i].id + '">' + response.result[i].Floor + '</option>');
            }

            $('#cmbFloor').trigger('change');

        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });

}



function loadAllUnit_Combo(floor) {
    $.ajax({
        type: "GET",
        url: '/am/registerNewAssest/allUnit/' + floor,
        processData: false,
        contentType: false,
        cache: false,
        async: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            $('#cmbUnit').empty();
            for (var i = 0; i < response.result.length; i++) {
                $('#cmbUnit').append('<option value="' + response.result[i].id + '">' + response.result[i].Unit + '</option>');
            }


        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });

}


function loadAllRoom_Combo(floor) {
    $.ajax({
        type: "GET",
        url: '/am/registerNewAssest/allRoom/' + floor,
        processData: false,
        contentType: false,
        cache: false,
        async: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            $('#cmbRoom').empty();
            for (var i = 0; i < response.result.length; i++) {
                $('#cmbRoom').append('<option value="' + response.result[i].id + '">' + response.result[i].Room + '</option>');
            }



        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });

}

function loadvendor(){
    $.ajax({
        type: 'GET',
        url: '/am/vendor/loadvendor',
        success: function(response){
            console.log(response.result)
            if (response.success) {

                var html = "";
                $.each(response.result, function(index, value){

                    html += '<option value="'+value.id+'" > '+value.name+' </option>';
                });
                $('#cmbVendor').html(html);
            }
        }, error: function(data){
            console.log('something went wrong');
        }
    });
}
function loadRequests(){
    $.ajax({
        type: 'GET',
        url: '/am/registerNewAssest/loadRequests',
        success: function(response){
            console.log(response.result)
            if (response.success) {

                var html = "";
                $.each(response.result, function(index, value){

                    html += '<option value="'+value.id+'" > '+value.AssetName+' </option>';
                });
                $('#cmbRequest').html(html);
            }
        }, error: function(data){
            console.log('something went wrong');
        }
    });
}

function setSelectedOption(id, valueToSelect) {
    let element = document.getElementById(id);
    element.value = valueToSelect;
}
