@extends('am::layouts.app')

@section('head')
    <!-- Prism -->
    <link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">
    <meta name="csrf-token" content="{{ csrf_token() }}">
@endsection

@section('content')
    <div class="page-header">
        <div>
            <h3>Create User</h3>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item">
                        <a href="#">Home</a>
                    </li>
                    <li class="breadcrumb-item">
                        <a href="#">User</a>
                    </li>
                    <li class="breadcrumb-item active" aria-current="page">Create User</li>
                </ol>
            </nav>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title"></h4>
                    <p class="card-description">  </p>
                    <form class="forms-sample" id="dform">
                        <div class="form-row">
                            <div class="col-md-6 mb-3">
                                <label for="validationCustom03">User Name</label>
                                <input type="text" class="form-control" id="txtuserame" name="username" placeholder="User Name" required="">
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="validationCustom03">Email</label>
                                <input type="email" class="form-control" id="txtemail" name="email" placeholder="Email" required="">
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="col-md-6 mb-3">
                                <label for="validationCustom03">Password</label>
                                <input type="password" class="form-control" id="txtpassword" name="password" placeholder="Password" required="">
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="validationCustom03">Confirm Password</label>
                                <input type="password" class="form-control" id="txtpassword_confirmation" name="password_confirmation" placeholder="Confirm Password" required="">
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="exampleFormControlSelect2">User Role</label>
                            <select class="form-control" name="userRole" id="cmbuserRole"></select>
                        </div>
                        <button type="button" id="btnsave" class="btn btn-primary mr-2">Save</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
    <!-- Prism -->
    <script src="{{ url('vendors/prism/prism.js') }}"></script>
    <!-- my script  -->
    <script src="{{ Module::asset('am:js/createUser.js') }}?random=<?php echo uniqid(); ?>"></script>
@endsection
